## ros-one-jsk-tilt-laser 2.2.16-2jammy.20251023.1143

=== debian/changelog ===
ros-one-jsk-tilt-laser (2.2.16-2jammy.20251023.1143) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 11:43:36 +0000

ros-one-jsk-tilt-laser (2.2.16-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 06 Jan 2025 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.15-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 13 Dec 2024 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.14-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.13-0jammy) jammy; urgency=high

  * add test to check c++14/C++11/C++0x (#1785 <https://github.com/jsk-ros-pkg/jsk_common/issues/1785>)
    
      * auto lambda for c++14
    
  * add test to compile on 22.04, see #1770 <https://github.com/jsk-ros-pkg/jsk_common/issues/1770> (#1773 <https://github.com/jsk-ros-pkg/jsk_common/issues/1773>)
    
      * revert code before C++11
      * avoid boost::bind (esp. global _1)
        it's deprecated to use global _1 from boost for a while now
        and the Debian ROS packages do not provide it anymore.
    
  * Fixed typo of Software License Agreement. and/o2r to and/or (#1764 <https://github.com/jsk-ros-pkg/jsk_common/issues/1764>)
  * Contributors: Kei Okada, Shingo Kitagawa, Iory Yanokura, v4hn

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 09 Nov 2023 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.12-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 07 Jun 2022 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.11-0jammy) jammy; urgency=high

  * Fix for noetic build (#1648 <https://github.com/jsk-ros-pkg/jsk_common/issues/1648>)
    
      * fix for python3, except, print ....
      * upgrade package.xml to format=3
    
  * Contributors: Kei Okada

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 10 Jul 2020 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.10-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 03 Nov 2018 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.9-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.8-0jammy) jammy; urgency=high

  * add tilt laser pipeline for jsk_tilt_laser (#1605 <https://github.com/jsk-ros-pkg/jsk_common/issues/1605>)
    * [jsk_tilt_laser] add new version of launch script for tilt laser
    * [jsk_tilt_laser] change joint name of tilt_laser
  * Add comment about installation (#1604 <https://github.com/jsk-ros-pkg/jsk_common/issues/1604>)
  * update jsk_travis to 0.4.38 add lunar and melodic (#1594 <https://github.com/jsk-ros-pkg/jsk_common/issues/1594>)
    * use find_package(Eigen3) instead of find_package(Eigen)
    * use find_package(multisense_lib QUIET) to check multisense_lib
  * Contributors: Kei Okada, Yohei Kakiuchi, Yuto Uchimi

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 01 Nov 2018 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.7-0jammy) jammy; urgency=high

  * add missing dirs into install command (#1583 <https://github.com/jsk-ros-pkg/jsk_common/issues/1583>)
    * add missing dirs into install command
  * Contributors: Yasuhiro Ishiguro

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 27 Jun 2018 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.6-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 05 Jan 2018 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.5-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 19 Jun 2017 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.4-0jammy) jammy; urgency=high

  * [multisense_laser_pipeline] fix from inside the JAXON (#1528 <https://github.com/jsk-ros-pkg/jsk_common/pull/1528>)
  * Contributors: Yohei Kakiuchi

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 14 Jun 2017 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.3-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Mar 2017 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.2-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 30 Dec 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.1-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 Dec 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.0-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.1.2-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 14 Sep 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.1.1-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 07 Sep 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.1.0-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 06 Sep 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.0.17-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 21 Jul 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.0.16-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sun, 19 Jun 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.0.15-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 13 Jun 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.0.14-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 14 May 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.0.13-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 29 Apr 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.0.12-0jammy) jammy; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 18 Apr 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.0.11-0jammy) jammy; urgency=high



## ros-one-jsk-tilt-laser 2.2.16-2jammy.20251208.0007

=== debian/changelog ===
ros-one-jsk-tilt-laser (2.2.16-2jammy.20251208.0007) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 08 Dec 2025 00:07:53 +0000

## ros-one-jsk-tilt-laser 2.2.16-2noble.20251023.1212

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_tilt_laser)

# we do not require laser_assembler on travis
# because rosdep does not support it.
if(NOT $ENV{ROS_DISTRO} STREQUAL "groovy")
  set(laser_assembler "laser_assembler")
endif(NOT $ENV{ROS_DISTRO} STREQUAL "groovy")

find_package(multisense_lib QUIET)
if(multisense_lib_FOUND)
  message(STATUS "Found multisense_lib")
  set(multisense_lib multisense_lib)
endif(multisense_lib_FOUND)

find_package(catkin REQUIRED
  dynamic_reconfigure sensor_msgs ${laser_assembler}
  tf_conversions tf cmake_modules
  ${multisense_lib}
  )


find_package(Eigen3 REQUIRED)
include_directories(${EIGEN3_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

generate_dynamic_reconfigure_options(
  cfg/DynamixelTiltController.cfg
  )


catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES moge
#  CATKIN_DEPENDS other_catkin_pkg
#  DEPENDS system_lib
)
if(NOT $ENV{ROS_DISTRO} STREQUAL "groovy")
  add_executable(spin_laser_snapshotter src/spin_laser_snapshotter.cpp)
  target_link_libraries(spin_laser_snapshotter ${catkin_LIBRARIES})
  install(TARGETS spin_laser_snapshotter
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )
endif(NOT $ENV{ROS_DISTRO} STREQUAL "groovy")

if(multisense_lib_FOUND)
  add_executable(multisense_killer src/multisense_killer.cpp)
  target_link_libraries(multisense_killer ${catkin_LIBRARIES})
  install(TARGETS multisense_killer
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )
else(multisense_lib_FOUND)
  message(STATUS "multisense_killer is not build, because of multisense_lib is not found")
endif(multisense_lib_FOUND)

# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.
# However, if it doesn't have setup.py, directories including python executables
# should be installed recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Also, other directories like 'launch' or 'sample' must be installed
# recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Be careful that 'launch' and 'launch/' are different: the former is directory
# and the latter is each content.
install(DIRECTORY cfg config launch scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

=== debian/changelog ===
ros-one-jsk-tilt-laser (2.2.16-2noble.20251023.1212) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 12:12:53 +0000

ros-one-jsk-tilt-laser (2.2.16-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 06 Jan 2025 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.15-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 13 Dec 2024 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.14-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.13-0noble) noble; urgency=high

  * add test to check c++14/C++11/C++0x (#1785 <https://github.com/jsk-ros-pkg/jsk_common/issues/1785>)
    
      * auto lambda for c++14
    
  * add test to compile on 22.04, see #1770 <https://github.com/jsk-ros-pkg/jsk_common/issues/1770> (#1773 <https://github.com/jsk-ros-pkg/jsk_common/issues/1773>)
    
      * revert code before C++11
      * avoid boost::bind (esp. global _1)
        it's deprecated to use global _1 from boost for a while now
        and the Debian ROS packages do not provide it anymore.
    
  * Fixed typo of Software License Agreement. and/o2r to and/or (#1764 <https://github.com/jsk-ros-pkg/jsk_common/issues/1764>)
  * Contributors: Kei Okada, Shingo Kitagawa, Iory Yanokura, v4hn

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 09 Nov 2023 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.12-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 07 Jun 2022 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.11-0noble) noble; urgency=high

  * Fix for noetic build (#1648 <https://github.com/jsk-ros-pkg/jsk_common/issues/1648>)
    
      * fix for python3, except, print ....
      * upgrade package.xml to format=3
    
  * Contributors: Kei Okada

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 10 Jul 2020 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.10-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 03 Nov 2018 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.9-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.8-0noble) noble; urgency=high

  * add tilt laser pipeline for jsk_tilt_laser (#1605 <https://github.com/jsk-ros-pkg/jsk_common/issues/1605>)
    * [jsk_tilt_laser] add new version of launch script for tilt laser
    * [jsk_tilt_laser] change joint name of tilt_laser
  * Add comment about installation (#1604 <https://github.com/jsk-ros-pkg/jsk_common/issues/1604>)
  * update jsk_travis to 0.4.38 add lunar and melodic (#1594 <https://github.com/jsk-ros-pkg/jsk_common/issues/1594>)
    * use find_package(Eigen3) instead of find_package(Eigen)
    * use find_package(multisense_lib QUIET) to check multisense_lib
  * Contributors: Kei Okada, Yohei Kakiuchi, Yuto Uchimi

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 01 Nov 2018 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.7-0noble) noble; urgency=high

  * add missing dirs into install command (#1583 <https://github.com/jsk-ros-pkg/jsk_common/issues/1583>)
    * add missing dirs into install command
  * Contributors: Yasuhiro Ishiguro

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 27 Jun 2018 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.6-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 05 Jan 2018 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.5-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 19 Jun 2017 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.4-0noble) noble; urgency=high

  * [multisense_laser_pipeline] fix from inside the JAXON (#1528 <https://github.com/jsk-ros-pkg/jsk_common/pull/1528>)
  * Contributors: Yohei Kakiuchi

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 14 Jun 2017 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.3-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Mar 2017 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.2-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 30 Dec 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.1-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 Dec 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.2.0-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.1.2-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 14 Sep 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.1.1-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 07 Sep 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.1.0-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 06 Sep 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.0.17-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 21 Jul 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.0.16-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sun, 19 Jun 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.0.15-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 13 Jun 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.0.14-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 14 May 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.0.13-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 29 Apr 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.0.12-0noble) noble; urgency=high



 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 18 Apr 2016 00:00:00 -0000

ros-one-jsk-tilt-laser (2.0.11-0noble) noble; urgency=high



=== debian/control ===
Source: ros-one-jsk-tilt-laser
Section: misc
Priority: optional
Maintainer: YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-cmake-modules, ros-one-dynamic-reconfigure, ros-one-laser-assembler, ros-one-laser-filters, ros-one-multisense-lib, ros-one-sensor-msgs, ros-one-tf, ros-one-tf-conversions
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-jsk-tilt-laser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-dynamic-reconfigure, ros-one-dynamixel-controllers, ros-one-laser-assembler, ros-one-laser-filters, ros-one-multisense-lib, ros-one-robot-state-publisher, ros-one-sensor-msgs, ros-one-tf, ros-one-tf-conversions, ros-one-urg-node
Description: The jsk_tilt_laser package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-jsk-tilt-laser//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-jsk-tilt-laser 2.2.16-2noble.20251208.1058

=== debian/changelog ===
ros-one-jsk-tilt-laser (2.2.16-2noble.20251208.1058) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 08 Dec 2025 10:58:42 +0000

## ros-one-jsk-tilt-laser 2.2.16-15jammy.20260106.2129

=== debian/changelog ===
ros-one-jsk-tilt-laser (2.2.16-15jammy.20260106.2129) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:29:59 +0000

## ros-one-jsk-tilt-laser 2.2.16-15jammy.20260221.2302

=== debian/changelog ===
ros-one-jsk-tilt-laser (2.2.16-15jammy.20260221.2302) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 21 Feb 2026 23:02:20 +0000

## ros-one-jsk-tilt-laser 2.2.16-15noble.20260106.2136

=== debian/changelog ===
ros-one-jsk-tilt-laser (2.2.16-15noble.20260106.2136) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:36:32 +0000

## ros-one-jsk-tilt-laser 2.2.16-15noble.20260222.0006

=== debian/changelog ===
ros-one-jsk-tilt-laser (2.2.16-15noble.20260222.0006) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- YoheiKakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sun, 22 Feb 2026 00:06:45 +0000
